Weak::ARC4 Class Reference

Alleged RC4 More...

Inheritance diagram for Weak::ARC4:

## Additional Inherited Members

Public Member Functions inherited from SymmetricCipherFinal< ARC4_Base >
| SymmetricCipherFinal ()
| Construct a stream cipher.
| SymmetricCipherFinal (const byte *key)
| Construct a stream cipher. More...
| SymmetricCipherFinal (const byte *key, size_t length)
| Construct a stream cipher. More...
| SymmetricCipherFinal (const byte *key, size_t length, const byte *iv)
| Construct a stream cipher. More...
Clonable * | Clone () const
| Clone a SymmetricCipher. More...
Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< ARC4_Base, ARC4_Base >, ARC4_Base >
std::string | AlgorithmName () const
Public Member Functions inherited from SimpleKeyingInterfaceImpl< ARC4_Base, ARC4_Base >
size_t | MinKeyLength () const
| The minimum key length used by the algorithm. More...
size_t | MaxKeyLength () const
| The maximum key length used by the algorithm. More...
size_t | DefaultKeyLength () const
| The default key length used by the algorithm. More...
size_t | GetValidKeyLength (size_t keylength) const
| Provides a valid key length for the algorithm. More...
SimpleKeyingInterface::IV_Requirement | IVRequirement () const
| The default IV requirements for the algorithm. More...
unsigned int | IVSize () const
| The default initialization vector length for the algorithm. More...
Static Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< ARC4_Base, ARC4_Base >, ARC4_Base >
static std::string | StaticAlgorithmName ()

## Detailed Description

Alleged RC4

Definition at line 49 of file arc4.h.

The documentation for this class was generated from the following file:

- arc4.h